<?
  // script para redireccionar los enlaces que el alumno desea ver
  // e incrementar el contador de visitas en 1

include("../fnc.php");
enlinea_alumno();

if(!$idlnk){
  alert("Parámetros incorrectos","frm_login.php");
}

$id_link=dec($idlnk);
$qlink=mysql_query("select * from enlaces where id = $id_link");
if(mysql_num_rows($qlink)==0){
 alert("Error de parámetro","frm_login.php");
}else{
  $ilink=mysql_fetch_array($qlink);
  $upd=mysql_query("update enlaces set visitas = visitas+1 where id = $id_link");

  $qins=mysql_query("insert into log_enlaces
                     set alumno='$uuser',
                     enlace='{$ilink[url]}',
                     fecha='$fecha',
                     hora='$hora',
                     curso='{$ilink[curso]}',
                     tipo_usr='Alumno',
                     ip='$rmhost'");

 header("Location: {$ilink[url]}");
}
?>